List external accounts
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "External_Account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_name": "My external bank account",
"latest_balance_timestamp": {
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"balance": 123,
"at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"current_ledger_balance": 123,
"uncategorized_transaction_sum": 123,
"mask": "4321",
"institution": {
"name": "Bank of Generica",
"logo": "iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC"
},
"notifications": [
{
"scope": "USER"
}
],
"connection_needs_repair_as_of": "2023-11-07T05:31:56Z",
"reconnect_with_new_credentials": true,
"requires_user_confirmation_as_of": "2023-11-07T05:31:56Z",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_external_id": "<string>",
"user_created": true,
"is_syncing": true,
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
]
}{
"description": "<string>",
"meta": {}
}All External Accounts
List external accounts
Fetches a list of external accounts for a business. External accounts represent all connected financial accounts, including bank accounts, credit cards, loans, etc.
GET
/
v1
/
businesses
/
{businessId}
/
external-accounts
List external accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch external accounts for.
Response
Show child attributes
Show child attributes
⌘I